#include "scanwifi.h"
#include "ets_sys.h"
#include "os_type.h"
#include "osapi.h"
#include "mem.h"
#include "user_interface.h"
#include "gpio.h"
#include "uart.h"
/******************************************************************************
*此区域为编辑区,请需要添加设计的请到此区域编辑!
*******************************************************************************/
at_recvTask(){}//此函数在所有工程中只能创建一次，可插入任意地方
/******************************************************************************/
struct scan_config *scanwifi;
static void ICACHE_FLASH_ATTR 
scan_done(void *arg, STATUS status) {
uint8 ssid[33];char temp[128];    
if (status == OK) {
     struct bss_info *bss_link = (struct bss_info *)arg;
    while (bss_link != NULL)
    {os_memset(ssid, 0, 33);
      if (os_strlen(bss_link->ssid) <= 32)
      {os_memcpy(ssid, bss_link->ssid, os_strlen(bss_link->ssid));}
      else
      {os_memcpy(ssid, bss_link->ssid, 32);}
      os_sprintf(temp,"ssid:\"%s\",authmode:%d,通道:%d,mac:\""MACSTR"\",信号:%d\r\n",ssid,bss_link->authmode,bss_link->channel,MAC2STR(bss_link->bssid),bss_link->rssi);
      uart0_sendStr(temp);
      bss_link = bss_link->next.stqe_next; }}
} 
void ICACHE_FLASH_ATTR
scanssid(){  //扫描SSID调用函数
wifi_station_scan(scanwifi,scan_done);
}
/******************************************************************************/


/******************************************************************************/
os_timer_t  cyctimer;
void ICACHE_FLASH_ATTR
//时钟周期处理函数
cyctimer_exe(void) 
{



scanssid();


}
//时钟周期处理函数结尾
void ICACHE_FLASH_ATTR
cyctimer_stop(void) //停止时钟
{
os_timer_disarm (&cyctimer) ;
}

void ICACHE_FLASH_ATTR
cyctimer_star(void) //启用时钟
{
os_timer_setfn(&cyctimer, (os_timer_func_t *)cyctimer_exe, NULL);
os_timer_arm(&cyctimer,10000,1);
}
/******************************************************************************/

/******************************************************************************
*编辑区结尾,下面是唯一个子程序,也叫接口程序,请不要动其位置!
*******************************************************************************/
void ICACHE_FLASH_ATTR
scanwifi_init(void)
{

cyctimer_star();



}
